MST = {}
MST.name = "MaloWSoundToggle"
MST.defaults = { volume = 50, }

function MST.Update()
	
end

function MST.ToggleSound()
    local currentVolume = GetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_AUDIO_VOLUME);
	if (currentVolume == "0.00000000") then
		SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_AUDIO_VOLUME, MST.vars.volume);
	else
		MST.vars.volume = currentVolume;
		SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_AUDIO_VOLUME, "0");
	end
end

function MST.OnInitialized(eventCode, addOnName)
    if (MST.name ~= addOnName) then return end
	
    MST.vars = ZO_SavedVars:NewAccountWide("MaloWSoundToggle_SavedVariables", 1, nil, MST.defaults)
end


EVENT_MANAGER:RegisterForEvent("MaloWSoundToggle", EVENT_ADD_ON_LOADED, MST.OnInitialized)

ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_SOUND", "Toggle Master Volume")